data=$(date +"%Y-%m-%d-%H-%M-%S")
logdir=./log/${data}

if [ ! -f ${logdir} ]; then
    mkdir ${logdir} -p
fi

HIP_VISIBLE_DEVICES=0 \
/opt/dtk-24.04.1/bin/migraphx-driver perf -n 20 --fp16 --gpu \
--onnx ../resnet50.onnx \
--input-dim @input 1 3 224 224 \
2>&1 | tee ${logdir}/resnet.log
